package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;
/*
* API开发需求和服务开发需求选项
*
*/
public class DicDataApiAndServiceState {

    public static final String ALL = "全部";
    public static final String INREVIEW= "审核中";
    public static final String CLOSED ="已关闭";
    public static final String DISQUALIFICATION= "审核不通过";
    public static final String GOAHEAD= "进行中";
    public static final String SOLDOUT= "已下架";

    private static DicDataApiAndServiceState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicDataApiAndServiceState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ALL, ALL);
        dicMap.put(INREVIEW, INREVIEW);
        dicMap.put(CLOSED, CLOSED);
        dicMap.put(DISQUALIFICATION, DISQUALIFICATION);
        dicMap.put(GOAHEAD, GOAHEAD);
        dicMap.put(SOLDOUT, SOLDOUT);
    }

    public static DicDataApiAndServiceState getInstacne(){
        if (instance == null)
        {
            instance = new DicDataApiAndServiceState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
